#ifndef	__AUTOVTOASTER_H__
#define	__AUTOVTOASTER_H__

#if HAVE_CONFIG_H
#	include "config.h"
#endif

struct authinfo;

int auth_vtoaster_pre(const char *userid, const char *service,
                      int (*cbfunc)(struct authinfo *auth, void *data),
                      void *data);

int authvtoastercommon(const char *user, const char *pass,
                       int (*cbfunc)(struct authinfo *auth, void *data),
                       void *data);

void authvtoasterclose(void);

int auth_vtoaster(const char *service, const char *authtype, char *authdata,
                  int (*cbfunc)(struct authinfo *auth, void *data),
                  void *data);

void **courier_authvtoaster_init(void);

#endif /* __AUTHVTOASTER_H__ */
