#ifndef CDB_INTERNAL_H
#define CDB_INTERNAL_H

#include <glib.h>

#define CDB_HASH_ENTRIES	0x100
#define CDB_HEADER_SIZE		(CDB_HASH_ENTRIES * 8)

#define pack(p, v)	G_STMT_START{					\
				*(guint32 *)(p) = GUINT32_FROM_LE(v);	\
			}G_STMT_END
#define unpack(p)	(GUINT32_FROM_LE(*(guint32 *)(p)))

G_BEGIN_DECLS

guint32 cdb_hash(gsize klen, const gchar *key) G_GNUC_CONST;

G_END_DECLS

#endif /* CDB_INTERNAL_H */
