#ifndef __V_QMAIL_VIRTUAL_H__
#define __V_QMAIL_VIRTUAL_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define V_TYPE_QMAIL_VIRTUAL		(v_qmail_virtual_get_type())
#define V_QMAIL_VIRTUAL(o)		(G_TYPE_CHECK_INSTANCE_CAST((o), V_TYPE_QMAIL_VIRTUAL, VQMailVirtual))
#define V_IS_QMAIL_VIRTUAL(o)		(G_TYPE_CHECK_INSTANCE_TYPE((o), V_TYPE_QMAIL_VIRTUAL))
#define V_QMAIL_VIRTUAL_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS((inst), V_TYPE_QMAIL_VIRTUAL, VQMailVirtualClass))

typedef struct _VQMailVirtual		VQMailVirtual;
typedef struct _VQMailVirtualClass	VQMailVirtualClass;

GType v_qmail_virtual_get_type(void) G_GNUC_CONST;

VQMailVirtual *v_qmail_virtual_new(GError **error) G_GNUC_MALLOC;
VQMailVirtual *v_qmail_virtual_get_default(void);
void v_qmail_virtual_invalidate_default(void);

gboolean v_qmail_virtual_changed(VQMailVirtual *virtual);
G_CONST_RETURN gchar *v_qmail_virtual_lookup(VQMailVirtual *virtual,
                                             const gchar *domain);

G_END_DECLS

#endif /* __V_QMAIL_VIRTUAL_H__ */
