#ifndef __CDB_DATUM_H__
#define __CDB_DATUM_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

typedef struct _CDBDatum	CDBDatum;

struct _CDBDatum {
	gsize	klen;
	gchar	*key;
	gsize	dlen;
	gchar	*data;
};

CDBDatum *cdb_datum_new(gsize klen, gchar *key, gsize dlen, gchar *data,
                        gboolean copy) G_GNUC_MALLOC;
void cdb_datum_free(CDBDatum *datum);

G_END_DECLS

#endif /* __CDB_DATUM_H__ */
