#ifndef __MISC_CRC32_H__
#define __MISC_CRC32_H__

#include <string.h>

G_BEGIN_DECLS

#define v_crc32_init()		((guint32)0xffffffffUL)
guint32 v_crc32_update(guint32 crc, const gchar *buf, gsize len) G_GNUC_CONST;
#define v_crc32_final(crc)	((guint32)(crc) ^ (guint32)0xffffffffUL)

#define v_crc32_string(string)	(v_crc32_final(				\
				 	v_crc32_update(			\
						 v_crc32_init(),	\
						 (string),		\
						 strlen(string))))

G_END_DECLS

#endif /* __MISC_CRC32_H__ */
