#include <glib.h>
#include <glib-object.h>

#include <vdomain/vdomain.h>

GType v_domain_auth_get_type(void)
{
	static GType type = 0;

	if (G_UNLIKELY(!type)) {
		static const GTypeInfo iface_info = {
			sizeof(VDomainAuthClass),
			(GBaseInitFunc)NULL,
			(GBaseFinalizeFunc)NULL,
			(GClassInitFunc)NULL,
			(GClassFinalizeFunc)NULL,
			NULL,
			0,
			0,
			(GInstanceInitFunc)NULL,
			NULL
		};

		type = g_type_register_static(G_TYPE_INTERFACE,
		                              "VDomainAuthType",
		                              &iface_info, 0);
		g_type_interface_add_prerequisite(type, G_TYPE_OBJECT);
	}

	return type;
}

GQuark v_auth_error_quark(void)
{
	static GQuark error_quark = 0;

	if (G_UNLIKELY(error_quark == 0))
		error_quark = g_quark_from_static_string("v-auth-error-quark");

	return error_quark;
}
